## **Manufacturer Equivalence**
#### GOAL:
The main aim of the problem statement is to identify the similar manufacturing companies based on different factors such as type of materials it manufactures, Quantity of materials, description of materials etc. From data science perspective this was a classification problem. 

#### Confluence Page - https://verusen.atlassian.net/l/cp/f9ufHgg7

#### Dataset Used:
Below are the list and description of the Dataset used in this project
1. **Verusen Manufacturer Pair Annotation Task - Task 2.csv** <br />
    This dataset is the main I/P. file consisting of Manufacturing Pairs with Label assigned to them based on different relationship.<br />
    The data consists of Columns: <Company A ,Company B, Label ,Confidence , Source, Notes ,Code><br />

2. **manufacturer_name_materialdetail_export.csv** <br />
    This dataset consists of Material description of all the Manufacturer companies(~74k) along with other information such as Material Group, etc <br />
    Columns <manufacturer_name ,num_materials ,num_stock_materials ,average_value ,material_groups ,material_descriptions><br />

3. **Material_OneHot.csv**<br />
    This dataset consists of Category Mapping of Material Groups of Manufacturer Companies (~23k). This file was created in "Category_Data.ipynb"

4. **verusen_manufacturer_names_materialdetail_export_11032022.csv**<br />
    This is the data consisting of list of different Manufacturer Companies with other informations such as Mtaerial Description, Material Grps, etc..This dataset was used to create unseen data by performing cross join to get Pairs.<br />
    Columns <manufacturer_name ,num_materials ,num_stock_materials ,average_value ,material_groups ,material_descriptions>

##### Output File Format:
The output file generated by perforing Classification model on the Test data.<br />
	The data consists of <br />
    <Company_A,	Company_B, CompanyA,	CompanyB,	Company_AB,	Desc_AB,	jarowinkler_sim,	jarowinkler_sim_penalty,	Cat_AB,	Actual,	Label_DT,	Label_KNN,	Label_SGD><br />
    Where <br />
    - Company_AB - Cosine Sim of TF-IDFs of Manufacturing Name<br />
    - Desc_AB - Cosine Sim of TF-IDFs of Material Descriptions <br />
    - jarowinkler_sim - Jarowinkler Similarity between Manufacturer Names<br />
    - jarowinler_sim_penalty - Jarowinkler Similarity between Manufacturer Names with penalty on shorter lenghts<br/>
    - Cat_AB - Cosine Similarity between vectors of Manufacturer Names <br/>
    - Actual - True label<br />
    - Label_DT - Label assigned by Decision Trees<br />
    - Label_KNN - Label assigned by K-Nearest Neighbors<br />
    - Label_SGD - Label assigned by SGD CLassifier<br />

